Package org.eclipse.e4.ui.model.application.descriptor.basic

## Interface MBasicFactory

    public interface MBasicFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  1.0

### Field Summary

Fields
`static MBasicFactory` `INSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`MPartDescriptor` `createPartDescriptor()` Returns a new object of class 'Part Descriptor'.

### Field Detail

#### INSTANCE

    static final MBasicFactory INSTANCE

The singleton instance of the factory.

### Method Detail

#### createPartDescriptor

    MPartDescriptor createPartDescriptor()

Returns a new object of class 'Part Descriptor'.

Returns:
  a new object of class 'Part Descriptor'.
Since:
  1.0